Need help to install Numpy 1.11.2, getting setuptool error

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Need help to install Numpy 1.11.2, getting setuptool error

William James

Hello All,

I am getting an setuptool error when trying to instal NumPy 1.11.2 on Python 2.6.

I there a way to download the setuptools to complete the installation?

Here is my build .log

more build.log

Running from numpy source directory.

Traceback (most recent call last):

File "setup.py", line 386, in <module>

setup_package()

File "setup.py", line 363, in setup_package

from setuptools import setup

ImportError: No module named setuptools



Regards,

William James
Analytics - Hybrid Data Management
IBM Cloud, US Distribution Market
Phone: 813-838-7508


Inactive hide details for William James---12/05/2018 10:46:34 AM---Hello All, I am getting an setuptool error when trying to inWilliam James---12/05/2018 10:46:34 AM---Hello All, I am getting an setuptool error when trying to instal NumPy 1.11.2 on Python 2.6.

From: William James/Tampa/IBM
To: [hidden email]
Date: 12/05/2018 10:46 AM
Subject: Try to install Numpy 1.11.2, getting setuptool error




Hello All,

I am getting an setuptool error when trying to instal NumPy 1.11.2 on Python 2.6.

I there a way to download the setuptools to complete the installation?

Here is my build .log

more build.log

Running from numpy source directory.

Traceback (most recent call last):

File "setup.py", line 386, in <module>

setup_package()

File "setup.py", line 363, in setup_package

from setuptools import setup

ImportError: No module named setuptools



Regards,

William James
Analytics - Hybrid Data Management
IBM Cloud, US Distribution Market
Phone: 813-838-7508




_______________________________________________
NumPy-Discussion mailing list
[hidden email]
https://mail.python.org/mailman/listinfo/numpy-discussion
Reply | Threaded
Open this post in threaded view
|

Re: Need help to install Numpy 1.11.2, getting setuptool error

Derek Homeier
On 5 Dec 2018, at 5:21 pm, William James <[hidden email]> wrote:
>
> I am getting an setuptool error when trying to instal NumPy 1.11.2 on Python 2.6.  
>
> I there a way to download the setuptools to complete the installation?

Assuming you are stuck with Python 2.6, there is an archive on
https://pypi.org/project/setuptools/#history
where you should find a link to the last supported version.
I’d check the Changelog on GitHub to see when Py 2.6 support was dropped -
seems sometime before version 38.0.

HTH,
                                        Derek

_______________________________________________
NumPy-Discussion mailing list
[hidden email]
https://mail.python.org/mailman/listinfo/numpy-discussion